class EncoderDecoder(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  data_preprocessor : __torch__.mmengine.model.base_model.data_preprocessor.BaseDataPreprocessor
  backbone : __torch__.mialgoseg.models.backbones.efficientv6_lite_sync.EfficientNetV6LiteSync
  neck : __torch__.mialgoseg.models.necks.hss_share_former_neck.HssShareFormerNeck
  decode_head : __torch__.mmseg.models.decode_heads.fcn_head.FCNHead
  auxiliary_head : __torch__.torch.nn.modules.container.___torch_mangle_619.ModuleList
  def forward(self: __torch__.mialgoseg.models.segmentors.encoder_decoder.EncoderDecoder,
    input: Tensor) -> Tensor:
    _0 = self.decode_head.conv_seg
    _1 = self.decode_head.dropout
    _2 = self.decode_head.convs
    _3 = self.neck
    _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, = (self.backbone).forward(input, )
    _25 = (_3).forward(_4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, )
    _26 = (_0).forward((_1).forward((_2).forward(_25, ), ), )
    tensor = torch.upsample_bilinear2d(_26, [512, 512], True, None)
    input0 = torch.permute(tensor, [0, 2, 3, 1])
    return torch.softmax(input0, 3, None)
