class EfficientNetV6LiteSync(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  layer_1 : __torch__.mmcv.cnn.bricks.conv_module.ConvModule
  layer_2 : __torch__.torch.nn.modules.container.___torch_mangle_16.Sequential
  layer_3 : __torch__.torch.nn.modules.container.___torch_mangle_35.Sequential
  layer_4 : __torch__.torch.nn.modules.container.___torch_mangle_113.Sequential
  layer_5 : __torch__.torch.nn.modules.container.___torch_mangle_234.Sequential
  layer_6 : __torch__.torch.nn.modules.container.___torch_mangle_415.Sequential
  def forward(self: __torch__.mialgoseg.models.backbones.efficientv6_lite_sync.EfficientNetV6LiteSync,
    input: Tensor) -> Tuple[Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor, Tensor]:
    _0 = self.layer_6
    _1 = self.layer_5
    _2 = self.layer_4
    _3 = self.layer_3
    _4 = (self.layer_2).forward((self.layer_1).forward(input, ), )
    _5 = (_3).forward(_4, )
    _6 = (_2).forward(_5, )
    _7 = (_1).forward(_6, )
    _8 = ((_0).forward(_7, ), _7, _7, _7, _7, _7, _6, _6, _6, _6, _6, _5, _5, _5, _5, _5, _4, _4, _4, _4, _4)
    return _8
class MBConv(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  conv : __torch__.torch.nn.modules.container.Sequential
  def forward(self: __torch__.mialgoseg.models.backbones.efficientv6_lite_sync.MBConv,
    argument_1: Tensor) -> Tensor:
    input = torch.add(argument_1, (self.conv).forward(argument_1, ), alpha=1)
    return input
class SELayer(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  avg_pool : __torch__.torch.nn.modules.pooling.AdaptiveAvgPool2d
  fc : __torch__.torch.nn.modules.container.___torch_mangle_47.Sequential
  def forward(self: __torch__.mialgoseg.models.backbones.efficientv6_lite_sync.SELayer,
    argument_1: Tensor) -> Tensor:
    _9 = self.fc
    _10 = (self.avg_pool).forward(argument_1, )
    input = torch.mul(argument_1, (_9).forward(_10, ))
    return input
