class BasicLayer(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  transformer_blocks : __torch__.torch.nn.modules.container.ModuleList
  def forward(self: __torch__.mialgoseg.models.backbones.seaformer.BasicLayer,
    argument_1: Tensor) -> Tensor:
    _0 = getattr(self.transformer_blocks, "2")
    _1 = getattr(self.transformer_blocks, "1")
    _2 = getattr(self.transformer_blocks, "0")
    _3 = (_1).forward((_2).forward(argument_1, ), )
    return (_0).forward(_3, )
class Block(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  attn : __torch__.mialgoseg.models.backbones.seaformer.Sea_Attention
  drop_path : __torch__.torch.nn.modules.linear.Identity
  mlp : __torch__.mialgoseg.models.backbones.seaformer.Mlp
  def forward(self: __torch__.mialgoseg.models.backbones.seaformer.Block,
    argument_1: Tensor) -> Tensor:
    _4 = self.mlp
    _5 = self.drop_path
    _6 = (self.attn).forward(argument_1, )
    _7 = (_5).forward()
    input = torch.add(argument_1, _6, alpha=1)
    _8 = (_4).forward(input, )
    _9 = (_5).forward1()
    return torch.add(input, _8, alpha=1)
class Sea_Attention(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  to_q : __torch__.mialgoseg.models.backbones.seaformer.Conv2d_BN
  to_k : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_436.Conv2d_BN
  to_v : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_439.Conv2d_BN
  proj : __torch__.torch.nn.modules.container.___torch_mangle_444.Sequential
  proj_encode_row : __torch__.torch.nn.modules.container.___torch_mangle_449.Sequential
  pos_emb_rowq : __torch__.mialgoseg.models.backbones.seaformer.SqueezeAxialPositionalEmbedding
  pos_emb_rowk : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_450.SqueezeAxialPositionalEmbedding
  proj_encode_column : __torch__.torch.nn.modules.container.___torch_mangle_455.Sequential
  pos_emb_columnq : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_456.SqueezeAxialPositionalEmbedding
  pos_emb_columnk : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_457.SqueezeAxialPositionalEmbedding
  dwconv : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_460.Conv2d_BN
  act : __torch__.torch.nn.modules.activation.___torch_mangle_461.ReLU
  pwconv : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_464.Conv2d_BN
  sigmoid : __torch__.mialgoseg.models.backbones.seaformer.h_sigmoid
  def forward(self: __torch__.mialgoseg.models.backbones.seaformer.Sea_Attention,
    argument_1: Tensor) -> Tensor:
    _10 = self.sigmoid
    _11 = self.proj
    _12 = self.proj_encode_column
    _13 = self.pos_emb_columnk
    _14 = self.pos_emb_columnq
    _15 = self.proj_encode_row
    _16 = self.pos_emb_rowk
    _17 = self.pos_emb_rowq
    _18 = self.pwconv
    _19 = self.act
    _20 = self.dwconv
    _21 = self.to_v
    _22 = self.to_k
    _23 = self.to_q
    B = ops.prim.NumToTensor(torch.size(argument_1, 0))
    _24 = int(B)
    _25 = int(B)
    _26 = int(B)
    _27 = int(B)
    _28 = int(B)
    _29 = int(B)
    _30 = int(B)
    _31 = int(B)
    H = ops.prim.NumToTensor(torch.size(argument_1, 2))
    _32 = int(H)
    _33 = int(H)
    _34 = int(H)
    _35 = int(H)
    W = ops.prim.NumToTensor(torch.size(argument_1, 3))
    _36 = int(W)
    _37 = int(W)
    _38 = int(W)
    _39 = int(W)
    _40 = (_23).forward(argument_1, )
    _41 = (_22).forward(argument_1, )
    _42 = (_21).forward(argument_1, )
    input = torch.cat([_40, _41, _42], 1)
    _43 = (_19).forward((_20).forward(input, ), )
    _44 = (_18).forward(_43, )
    x = torch.mean(_40, [-1], False, dtype=None)
    _45 = torch.reshape((_17).forward(x, ), [_31, 6, -1, _35])
    qrow = torch.permute(_45, [0, 1, 3, 2])
    x0 = torch.mean(_41, [-1], False, dtype=None)
    krow = torch.reshape((_16).forward(x0, ), [_30, 6, -1, _34])
    _46 = torch.mean(_42, [-1], False, dtype=None)
    _47 = torch.reshape(_46, [_29, 6, -1, _33])
    vrow = torch.permute(_47, [0, 1, 3, 2])
    attn_row = torch.mul(torch.matmul(qrow, krow), CONSTANTS.c0)
    attn_row0 = torch.softmax(attn_row, -1, None)
    xx_row = torch.matmul(attn_row0, vrow)
    input0 = torch.reshape(torch.permute(xx_row, [0, 1, 3, 2]), [_28, 192, _32, 1])
    _48 = (_15).forward(input0, )
    x1 = torch.mean(_40, [-2], False, dtype=None)
    _49 = torch.reshape((_14).forward(x1, ), [_27, 6, -1, _39])
    qcolumn = torch.permute(_49, [0, 1, 3, 2])
    x2 = torch.mean(_41, [-2], False, dtype=None)
    kcolumn = torch.reshape((_13).forward(x2, ), [_26, 6, -1, _38])
    _50 = torch.mean(_42, [-2], False, dtype=None)
    _51 = torch.reshape(_50, [_25, 6, -1, _37])
    vcolumn = torch.permute(_51, [0, 1, 3, 2])
    attn_column = torch.mul(torch.matmul(qcolumn, kcolumn), CONSTANTS.c0)
    attn_column0 = torch.softmax(attn_column, -1, None)
    xx_column = torch.matmul(attn_column0, vcolumn)
    _52 = torch.permute(xx_column, [0, 1, 3, 2])
    input1 = torch.reshape(_52, [_24, 192, 1, _36])
    xx = torch.add(_48, (_12).forward(input1, ), alpha=1)
    input2 = torch.add(_42, xx, alpha=1)
    _53 = (_10).forward((_11).forward(input2, ), )
    return torch.mul(_53, _44)
class Conv2d_BN(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  c : __torch__.torch.nn.modules.conv.___torch_mangle_432.Conv2d
  bn : __torch__.torch.nn.modules.batchnorm.___torch_mangle_433.BatchNorm2d
  def forward(self: __torch__.mialgoseg.models.backbones.seaformer.Conv2d_BN,
    argument_1: Tensor) -> Tensor:
    _54 = (self.bn).forward((self.c).forward(argument_1, ), )
    return _54
class SqueezeAxialPositionalEmbedding(Module):
  __parameters__ = ["pos_embed", ]
  __buffers__ = []
  pos_embed : Tensor
  training : bool
  def forward(self: __torch__.mialgoseg.models.backbones.seaformer.SqueezeAxialPositionalEmbedding,
    x: Tensor) -> Tensor:
    _55 = torch.upsample_linear1d(self.pos_embed, [16], False, None)
    return torch.add(x, _55, alpha=1)
class h_sigmoid(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  relu : __torch__.torch.nn.modules.activation.ReLU6
  def forward(self: __torch__.mialgoseg.models.backbones.seaformer.h_sigmoid,
    argument_1: Tensor) -> Tensor:
    _56 = self.relu
    input = torch.add(argument_1, CONSTANTS.c1, alpha=1)
    _57 = torch.div((_56).forward(input, ), CONSTANTS.c2)
    return _57
class Mlp(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  fc1 : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_467.Conv2d_BN
  dwconv : __torch__.torch.nn.modules.conv.___torch_mangle_468.Conv2d
  act : __torch__.torch.nn.modules.activation.___torch_mangle_469.ReLU
  fc2 : __torch__.mialgoseg.models.backbones.seaformer.___torch_mangle_472.Conv2d_BN
  drop : __torch__.torch.nn.modules.dropout.Dropout
  def forward(self: __torch__.mialgoseg.models.backbones.seaformer.Mlp,
    input: Tensor) -> Tensor:
    _58 = self.fc2
    _59 = self.drop
    _60 = self.act
    _61 = (self.dwconv).forward((self.fc1).forward(input, ), )
    _62 = (_59).forward((_60).forward(_61, ), )
    _63 = (_59).forward1((_58).forward(_62, ), )
    return _63
class DropPath(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  def forward(self: __torch__.mialgoseg.models.backbones.seaformer.DropPath) -> None:
    return None
  def forward1(self: __torch__.mialgoseg.models.backbones.seaformer.DropPath) -> None:
    return None
